# FTXUI: ftxui::Terminal Namespace Reference

Loading...
Searching...
No Matches
ftxui::Terminal Namespace Reference

## Enumerations

enum | Color { Palette1 , Palette16 , Palette256 , TrueColor }
| Color is an enumeration that represents the color support of the terminal. More...

## Functions

Dimensions | Size ()
| Get the terminal size.
void | SetFallbackSize (const Dimensions &fallbackSize)
| Override terminal size in case auto-detection fails.
Color | ColorSupport ()
| Get the color support of the terminal.
void | SetColorSupport (Color color)
| Override terminal color support in case auto-detection fails.

## Function Documentation

## SetFallbackSize()

void SetFallbackSize | ( | const Dimensions & | fallbackSize | ) |

Override terminal size in case auto-detection fails.

Parameters

  fallbackSize | Terminal dimensions to fallback to

Definition at line 124 of file terminal.cpp.